%data - vectorul de intrare
%M - lungimea segmentelor
%nfft - nr. de puncte in care se calculeaza fft-ul
%fereastra - vecotul ce contine fereastra
function [periodo_modif,frecv]=periodo_modif(data,M,nfft,fereastra);
N=length(data);
K=N/M;
U=sum(fereastra.*fereastra);
suma=0;
for i=1:K;
   x=data(((i-1)*M+1):i*M);
   x=x.*fereastra';
   X=fft(x,nfft);
   S=X.*conj(X);
   suma=suma+S;
end;
frecv=(0:nfft/2)/nfft;
periodo_modif=suma(1:length(frecv))/(K*U);

